New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[!] Oh no, an error occurred. #7756

Closed
LisonFan opened this Issue May 18, 2018 · 5 comments

Comments

Projects
None yet
4 participants
@LisonFan

LisonFan commented May 18, 2018

Version

  • Ruby 2.5.1
  • CocoaPods 1.5.2

Error

ArgumentError - Malformed version number string
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/version.rb:209:in `initialize'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/version.rb:200:in `new'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems/version.rb:200:in `new'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/generator/xcconfig/aggregate_xcconfig.rb:123:in `embedded_content_settings'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/generator/xcconfig/aggregate_xcconfig.rb:68:in `generate'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/generator/xcconfig/aggregate_xcconfig.rb:39:in `save_as'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/target_installer.rb:107:in `update_changed_file'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:96:in `block in create_xcconfig_file'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:93:in `each'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:93:in `create_xcconfig_file'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:18:in `block in install!'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/user_interface.rb:142:in `message'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:14:in `install!'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator.rb:181:in `block (2 levels) in install_libraries'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator.rb:179:in `each'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator.rb:179:in `block in install_libraries'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/user_interface.rb:142:in `message'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator.rb:167:in `install_libraries'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer/xcode/pods_project_generator.rb:65:in `generate!'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer.rb:184:in `block in generate_pods_project'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/user_interface.rb:64:in `section'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer.rb:183:in `generate_pods_project'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/installer.rb:119:in `install!'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/command/update.rb:97:in `run'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/claide-1.0.2/lib/claide/command.rb:334:in `run'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/lib/ruby/gems/2.5.0/gems/cocoapods-1.5.2/lib/cocoapods/command.rb:52:in `run'
/Users/lisonfan/.rvm/gems/ruby-2.5.1@global/gems/cocoapods-1.5.2/bin/pod:55:in `<top (required)>'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/bin/pod:23:in `load'
/Users/lisonfan/.rvm/rubies/ruby-2.5.1/bin/pod:23:in `<main>'
@angelcoding

This comment has been minimized.

angelcoding commented May 18, 2018

I had the same issue.
I'm very new to iOS development but I think I solved it by adding a SWIFT_VERSION build setting that was missing.
This helped me do that - https://stackoverflow.com/questions/46338588/xcode-9-swift-language-version-swift-version

Hope that helps?

@dnkoutso

This comment has been minimized.

Contributor

dnkoutso commented May 18, 2018

We need a sample app to reproduce, can you provide one?

@jcharr1

This comment has been minimized.

jcharr1 commented May 18, 2018

I came across this issue today, too, when trying to run "pod install." What version of Rubygems are you running? For me, I had updated with "gem update --system" which brought me up to v2.7.7. Downgrading to 2.7.6 with "gem update --system 2.7.6" fixed this for me.

@dnkoutso

This comment has been minimized.

Contributor

dnkoutso commented May 18, 2018

we've also revamped the build settings in 1.6.0 (currently unreleased) but you can point to master and see if it works?

@LisonFan

This comment has been minimized.

LisonFan commented May 19, 2018

thank you guys, @dnkoutso @angelcoding @jcharr1

I solved this problem using the method provided by @jcharr1

@LisonFan LisonFan closed this May 19, 2018

@Iso1558 Iso1558 referenced this issue May 22, 2018

Closed

help! #7763

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment